JEDEC_TS(4)

NAME
jedec_ts - driver for temperature sensors on memory modules

SYNOPSIS

device jedec_ts
device smbus

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    jedec_ts_load="YES"

In /boot/device.hints:

    hint.jedec_ts.0.at="smbus0"
    hint.jedec_ts.0.addr="0x30"
    hint.jedec_ts.1.at="smbus0"
    hint.jedec_ts.1.addr="0x32"
    hint.jedec_ts.2.at="smbus0"
    hint.jedec_ts.2.addr="0x34"
    hint.jedec_ts.3.at="smbus0"
    hint.jedec_ts.3.addr="0x36"
    hint.jedec_ts.4.at="smbus0"
    hint.jedec_ts.4.addr="0x38"
    hint.jedec_ts.5.at="smbus0"
    hint.jedec_ts.5.addr="0x3A"
    hint.jedec_ts.6.at="smbus0"
    hint.jedec_ts.6.addr="0x3C"
    hint.jedec_ts.7.at="smbus0"
    hint.jedec_ts.7.addr="0x3E"

DESCRIPTION
The jedec_ts driver provides access to sensor data over the smbus(4). The driver supports temperature sensors on memory modules that conform to JEDEC Standard 21-C, TSE2002 Specification.

The access to jedec_ts data is made via the sysctl(8) interface:

dev.jedec_ts.%d.temp
    read-only value of the current temperature read by the sensor.

On a system using device.hints(5), these values are configurable for jedec_ts:

hint.jedec_ts.%d.at
    target smbus(4).

hint.jedec_ts.%d.addr
    jedec_ts SMBus address on the smbus(4).

jedec_ts temperature sensors can be wired to eight different addresses, allowing up to eight sensors on the same smbus(4).

If the sensors are on an I2C bus behind an iicbus(4) controller, then the iicsmb(4) bridge driver can be used to attach the smbus(4).

EXAMPLES

  Sensor read out for two memory modules:

    dev.jedec_ts.0.temp: 40.2500C
    dev.jedec_ts.1.temp: 40.7500C

SEE ALSO
iicbus(4), iicsmb(4), smbus(4), sysctl(8)

HISTORY
The jedec_ts driver first appeared in FreeBSD 12.0.

AUTHORS
-nosplit The jedec_ts driver and this manual page were written by Andriy Gapon <avg@FreeBSD.org>.